astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- concatenate

# concatenate

`astropy.coordinates.``concatenate`(coords)

  Combine multiple coordinate objects into a single `SkyCoord`.

  “Coordinate objects” here mean frame objects with data, `SkyCoord`, or representation objects. Currently, they must all be in the same frame, but in a future version this may be relaxed to allow inhomogenous sequences of objects.

  Parameters:

  coords : sequence of coordinate objects

  > The objects to concatenate

  Returns:

  cskycoord : SkyCoord

  > A single sky coordinate with its data set to the concatenation of all the elements in `coords`